%define anolis_release 1

Name:           lua-filesystem
Version:        1.8.0
Release:        %{anolis_release}%{?dist}
Summary:        File System Library for the Lua Programming Language

%global gittag %(echo %{version} | sed -e 's/\\./_/g')

License:        MIT
URL:            https://keplerproject.github.io/luafilesystem/
Source0:        https://github.com/keplerproject/luafilesystem/archive/v%{gittag}/luafilesystem-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  lua-devel >= 5.1

%global _description %{expand:
LuaFileSystem is a Lua library developed to complement the set of functions
related to file systems offered by the standard Lua distribution.

LuaFileSystem offers a portable way to access the underlying directory
structure and file attributes.}

%description %{_description}

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n luafilesystem-%{gittag}

%build
%make_build LUA_LIBDIR=%{lua_libdir} CFLAGS="%{optflags} -fPIC %{?__global_ldflags}"

%install
%make_install LUA_LIBDIR=%{lua_libdir}
%generate_compatibility_deps

%check
LUA_CPATH=%{buildroot}%{lua_libdir}/\?.so lua tests/test.lua

%files
%license LICENSE
%{lua_libdir}/*
%dir %{abidir}
%{abidir}/lfs.dump

%files doc
%doc doc/us/*
%doc README.md

%changelog
* Mon Mar 27 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.8.0-1
- Init from upstream
